<?php

namespace Cli\Commands;

use Cli\Assets\Console;

class Commands
{
    use Console;

    /**
     * @var array
     */
    private $args = [];

    /**
     * Commands constructor.
     * @param array $args
     */
    public function __construct(array $args)
    {
        $this->args = $args;
    }

    public function handle()
    {
        $name = $this->ask('What is your name? ');

        $this->success('Hello ' . $name);

        $this->terminate();
    }

}